Angularjs update – "@types/angular": "^1.6.50" to "@types/angular": "^1.8.2" multiple errors

Published

I am trying to update "@types/angular" from "^1.6.50" to "^1.8.2" but I am getting lots of error while trying to run app.

error TS2694: Namespace ‘angular’ has no exported member ‘translate’.

node_modules/@types/angular-translate/node_modules/@types/angular/jqlite.d.ts:29:5 – error TS2375: Duplicate number index signature.
29 [index: number]: HTMLElement;

node_modules/@types/angular-translate/node_modules/@types/angular/jqlite.d.ts:807:5 – error TS2717: Subsequent property declarations must have the same type. Property ‘char’ must be of type ‘string’, but here has type ‘any’.

807 char: any;

node_modules/proton/dist/proton.d.ts:2662:34 – error TS2694: Namespace ‘angular’ has no exported member ‘animate’.

error TS2694: Namespace ‘angular’ has no exported member ‘route’.

Source: AngularJS Questions

Published
Categorized as angular, angularjs, c#, node.js, typescript Tagged , , , ,

Answers

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Still Have Questions?


Our dedicated development team is here for you!

We can help you find answers to your question for as low as 5$.

Contact Us
faq